org.apache.ignite.internal

## Class IgniteFutureCancelledCheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.IgniteFutureCancelledCheckedException

All Implemented Interfaces:
  Serializable

    public class IgniteFutureCancelledCheckedException
    extends IgniteCheckedException

Future computation cannot be retrieved because it was cancelled.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteFutureCancelledCheckedException(String msg)` Creates new exception with given error message.
`IgniteFutureCancelledCheckedException(String msg, Throwable cause)` Creates a new exception with given error message and optional nested cause exception.
`IgniteFutureCancelledCheckedException(Throwable cause)` Creates new exception with given throwable as a nested cause and source of error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteFutureCancelledCheckedException

    public IgniteFutureCancelledCheckedException(String msg)

Creates new exception with given error message.

Parameters:
  `msg` - Error message.

#### IgniteFutureCancelledCheckedException

    public IgniteFutureCancelledCheckedException(Throwable cause)

Creates new exception with given throwable as a nested cause and source of error message.

Parameters:
  `cause` - Non-null throwable cause.

#### IgniteFutureCancelledCheckedException

    public IgniteFutureCancelledCheckedException(String msg,
                                                 @Nullable
                                                 Throwable cause)

Creates a new exception with given error message and optional nested cause exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019